﻿
Partial Class frmEditLogins
    Inherits System.Web.UI.Page

    Protected Sub Page_PreInit(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreInit

        Response.Cache.SetCacheability(HttpCacheability.NoCache)
        Response.Cache.SetExpires(DateTime.Now - New TimeSpan(1, 0, 0))
        Response.Cache.SetLastModified(DateTime.Now)
        Response.Cache.SetAllowResponseInBrowserHistory(False)

        If Session("loggedIn") = "" Then
            Response.Redirect("./frmLogin.aspx")
            Response.End()
        End If

    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        'setupGrid()

    End Sub

    Protected Sub setupGrid()

        With Me.grdLogins

            .DataKeyField = "userID"
            .Bands(0).DataKeyField = "userID"

            .Columns(0).Hidden = True
            .Columns(0).Header.Caption = "ID"

            .Columns(1).Hidden = False
            .Columns(1).AllowUpdate = False
            .Columns(1).Header.Caption = "Username"
            .Columns(1).HTMLEncodeContent = True
            .Columns(1).Width = Unit.Percentage(20)

            .Columns(2).Hidden = False
            .Columns(2).AllowUpdate = False
            .Columns(2).Header.Caption = "Password"
            .Columns(2).Width = Unit.Percentage(20)

            .Columns(3).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.CheckBox
            .Columns(3).Hidden = False
            .Columns(3).Header.Caption = "Enabled"
            .Columns(3).HTMLEncodeContent = True
            .Columns(3).Width = Unit.Percentage(20)
            .Columns(3).CellStyle.HorizontalAlign = HorizontalAlign.Center

            .Columns(4).Hidden = False
            .Columns(4).AllowUpdate = False
            .Columns(4).Header.Caption = "Date Created"
            .Columns(4).HTMLEncodeContent = True
            .Columns(4).Width = Unit.Percentage(20)
            .Columns(4).Format = "dd/MM/yyyy"

            .Columns(5).Hidden = True
            .Columns(5).Header.Caption = "Last Logged In"
            .Columns(5).Width = Unit.Percentage(0)

            .Columns(6).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.CheckBox
            .Columns(6).Hidden = False
            .Columns(6).Header.Caption = "Administrator"
            .Columns(6).HTMLEncodeContent = True
            .Columns(6).Width = Unit.Percentage(20)
            .Columns(6).CellStyle.HorizontalAlign = HorizontalAlign.Center

            .Columns(7).Hidden = True
            .Columns(7).Width = Unit.Percentage(0)

            .Columns(8).Hidden = True
            .Columns(8).Width = Unit.Percentage(0)

            .Columns(9).Hidden = True
            .Columns(9).Width = Unit.Percentage(0)

        End With

    End Sub

    Protected Sub grdLogins_InitializeLayout(ByVal sender As Object, ByVal e As Infragistics.WebUI.UltraWebGrid.LayoutEventArgs) Handles grdLogins.InitializeLayout

        setupGrid()

    End Sub

    ' add new user
    Protected Sub WebImageButton1_Click(ByVal sender As Object, ByVal e As Infragistics.WebUI.WebDataInput.ButtonEventArgs) Handles WebImageButton1.Click

        Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
        Dim myconn As New SqlConnection(myconnstr)
        Dim mycmd As New SqlCommand("addNewUser", myconn)
        mycmd.CommandType = Data.CommandType.StoredProcedure
        myconn.Open()
        Dim myreader As SqlDataReader = mycmd.ExecuteReader()
        myreader.Read()
        myreader.Read()
        myreader.Close()
        myconn.Close()

        Dim myc As New LiteralControl("<script language='javascript'>location.href='./frmEditLogins.aspx';</script>")
        Me.WebAsyncRefreshPanel.Controls.Add(myc)

    End Sub

    'Protected Sub grdLogins_UpdateCell(ByVal sender As Object, ByVal e As Infragistics.WebUI.UltraWebGrid.CellEventArgs) Handles grdLogins.UpdateCell

    '    Dim myRow As Long = e.Cell.Row.Index

    '    Debug.Print("ID=" + e.Cell.Row.Cells(0).Value.ToString)

    '    Debug.Print("myStatus=" + e.Cell.Row.Cells(3).Value.ToString)
    '    Debug.Print("myIsAdmin=" + e.Cell.Row.Cells(6).Value.ToString)
    '    Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
    '    Dim myconn As New SqlConnection(myconnstr)
    '    Dim mycmd As New SqlCommand("updateUserByUserID", myconn)
    '    mycmd.CommandType = Data.CommandType.StoredProcedure
    '    mycmd.Parameters.AddWithValue("@myID", e.Cell.Row.Cells(0).Value)
    '    mycmd.Parameters.AddWithValue("@myUsername", e.Cell.Row.Cells(1).Value)
    '    mycmd.Parameters.AddWithValue("@myPassword", e.Cell.Row.Cells(2).Value)
    '    mycmd.Parameters.AddWithValue("@myStatus", e.Cell.Row.Cells(3).Value)
    '    mycmd.Parameters.AddWithValue("@myIsAdmin", e.Cell.Row.Cells(6).Value)
    '    myconn.Open()
    '    Dim myreader As SqlDataReader = mycmd.ExecuteReader()
    '    myreader.Read()
    '    myreader.Read()
    '    myreader.Close()
    '    myconn.Close()
    '    setupGrid()

    'End Sub

    'Protected Sub grdLogins_DeleteRow(ByVal sender As Object, ByVal e As Infragistics.WebUI.UltraWebGrid.RowEventArgs) Handles grdLogins.DeleteRow

    '    Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
    '    Dim myconn As New SqlConnection(myconnstr)
    '    Dim mycmd As New SqlCommand("deleteUserByID", myconn)
    '    mycmd.CommandType = Data.CommandType.StoredProcedure
    '    mycmd.Parameters.AddWithValue("@myid", e.Row.Cells(0).Value)
    '    myconn.Open()
    '    Dim myreader As SqlDataReader = mycmd.ExecuteReader()
    '    myreader.Read()
    '    myreader.Read()
    '    myreader.Close()
    '    myconn.Close()

    'End Sub

End Class













