﻿Imports Infragistics.WebUI.UltraWebGrid

Partial Class frmStatus
    Inherits System.Web.UI.Page

    Protected Sub Page_PreInit(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreInit

        Response.Cache.SetCacheability(HttpCacheability.NoCache)
        Response.Cache.SetExpires(DateTime.Now - New TimeSpan(1, 0, 0))
        Response.Cache.SetLastModified(DateTime.Now)
        Response.Cache.SetAllowResponseInBrowserHistory(False)

        If Session("loggedIn") = "" Then
            Response.Redirect("./frmLogin.aspx")
            Response.End()
        End If

    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If Not Page.IsPostBack Then

            Me.Button2.Enabled = True

        End If

    End Sub

    Protected Sub makeDD(ByVal myid As Long, ByVal mycmb As Infragistics.WebUI.WebCombo.WebCombo, ByVal ddwidth As Long, ByVal ddheight As Long)

        Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
        Dim myconn As New SqlConnection(myconnstr)
        Dim mycmd As New SqlCommand("getDropDownDetailsByddID", myconn)
        mycmd.CommandType = Data.CommandType.StoredProcedure
        mycmd.Parameters.AddWithValue("@myid", myid)
        myconn.Open()
        Dim myreader As SqlDataReader = mycmd.ExecuteReader()
        If myreader.HasRows Then
            With mycmb
                .Rows.Clear()
                .Columns.Clear()
                Dim myCol As New Infragistics.WebUI.UltraWebGrid.UltraGridColumn
                myCol = New Infragistics.WebUI.UltraWebGrid.UltraGridColumn
                With myCol
                    .Header.Caption = ""
                    .Width = 50
                End With
                .Columns.Add(myCol)
                Dim mytmp As Long = 0

                Dim myRow As New Infragistics.WebUI.UltraWebGrid.UltraGridRow
                .Rows.Add(myRow)
                .Rows(mytmp).Cells(0).Value = "---"
                mytmp += 1

                While myreader.Read
                    'Dim myRow As New Infragistics.WebUI.UltraWebGrid.UltraGridRow
                    myRow = New Infragistics.WebUI.UltraWebGrid.UltraGridRow
                    .Rows.Add(myRow)
                    .Rows(mytmp).Cells(0).Value = Trim(myreader!ddDetailText)
                    .Font.Name = "Calibri"
                    .Font.Size = 10
                    .ForeColor = Drawing.Color.Black
                    .BackColor = Drawing.Color.White
                    .Width = 100
                    .Height = 200
                    .DropDownLayout.DropdownWidth = ddwidth
                    .DropDownLayout.DropdownHeight = ddheight
                    With .DropDownLayout
                        .RowStyle.Font.Name = "Calibri"
                        .RowStyle.Font.Size = 10
                    End With
                    mytmp += 1
                End While
            End With
        End If
        myreader.Read()
        myreader.Close()
        myconn.Close()

    End Sub

    Protected Sub UltraWebGrid1_InitializeBand(ByVal sender As Object, ByVal e As Infragistics.WebUI.UltraWebGrid.BandEventArgs) Handles UltraWebGrid1.InitializeBand
        Dim myBand As Long = e.Band.Index
        Select Case myBand
            Case 0

                With e.Band

                    .DataKeyField = "genID"
                    .Key = "genID"

                    .Columns(0).Hidden = True

                    makeDD(1, Me.cmbProjectStatus, 70, 170)
                    .Columns(1).Header.Caption = "Project Status"
                    .Columns(1).Width = Unit.Percentage(9)
                    .Columns(1).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(1).EditorControlID = Me.cmbProjectStatus.ID
                    .Columns(1).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(1).FieldLen = 50

                    .Columns(2).Hidden = True

                    .Columns(3).Header.Caption = "Quote Ref"
                    .Columns(3).Width = Unit.Percentage(9)
                    .Columns(3).FieldLen = 10

                    .Columns(4).Header.Caption = "Project Name"
                    .Columns(4).Width = Unit.Percentage(9)
                    .Columns(4).FieldLen = 255

                    .Columns(5).Header.Caption = "Last Edited"
                    .Columns(5).Width = Unit.Percentage(9)
                    .Columns(5).Format = "dd/MM/yyyy"
                    .Columns(5).AllowUpdate = AllowUpdate.No

                    .Columns(6).Header.Caption = "Last Edited By"
                    .Columns(6).Width = Unit.Percentage(9)
                    .Columns(6).FieldLen = 50
                    .Columns(6).AllowUpdate = AllowUpdate.No

                    makeDD(2, Me.cmbResellerDirectSale, 90, 165)
                    .Columns(7).Header.Caption = "Reseller Direct Sale"
                    .Columns(7).Width = Unit.Percentage(9)
                    .Columns(7).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(7).EditorControlID = Me.cmbResellerDirectSale.ID
                    .Columns(7).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(7).FieldLen = 50

                    .Columns(8).Hidden = True

                    makeDD(3, Me.cmbAccountManager, 55, 125)
                    .Columns(9).Header.Caption = "Account Manager"
                    .Columns(9).Width = Unit.Percentage(9)
                    .Columns(9).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(9).EditorControlID = Me.cmbAccountManager.ID
                    .Columns(9).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(9).FieldLen = 50

                    .Columns(10).Hidden = True

                    makeDD(4, Me.cmbProjectManager, 55, 125)
                    .Columns(11).Header.Caption = "Project Manager"
                    .Columns(11).Width = Unit.Percentage(9)
                    .Columns(11).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(11).EditorControlID = Me.cmbProjectManager.ID
                    .Columns(11).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(11).FieldLen = 50

                    .Columns(12).Hidden = True

                    .Columns(13).Header.Caption = "Proposal Date"
                    .Columns(13).Width = Unit.Percentage(9)
                    .Columns(13).Format = "dd/MM/yyyy"
                    .Columns(13).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(13).EditorControlID = Me.datDate1.ID

                    .Columns(14).Header.Caption = "Contact Name & Number"
                    .Columns(14).Width = Unit.Percentage(10)
                    .Columns(1).FieldLen = 50

                    makeDD(5, Me.cmbPOReceived, 62, 105)
                    .Columns(15).Header.Caption = "PO Received"
                    .Columns(15).Width = Unit.Percentage(9)
                    .Columns(15).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(15).EditorControlID = Me.cmbPOReceived.ID
                    .Columns(15).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(15).FieldLen = 50

                    .Columns(16).Hidden = True

                    .Columns(17).Hidden = True

                End With

            Case 1
                With e.Band

                    .DataKeyField = "detID"
                    .Key = "detID"

                    .Columns(0).Hidden = True

                    .Columns(1).Hidden = True

                    .Columns(2).Header.Caption = "Site Survey Signed Off"
                    .Columns(2).Width = Unit.Percentage(5)
                    .Columns(2).Format = "dd/MM/yyyy"
                    .Columns(2).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(2).EditorControlID = Me.datDate1.ID

                    .Columns(3).Header.Caption = "System Design Signed Off"
                    .Columns(3).Width = Unit.Percentage(5)
                    .Columns(3).Format = "dd/MM/yyyy"
                    .Columns(3).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(3).EditorControlID = Me.datDate1.ID

                    .Columns(4).Header.Caption = "Crestron Design Signed Off"
                    .Columns(4).Width = Unit.Percentage(5)
                    .Columns(4).Format = "dd/MM/yyyy"
                    .Columns(4).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(4).EditorControlID = Me.datDate1.ID

                    makeDD(6, Me.cmbPreRequisites, 70, 110)
                    .Columns(5).Header.Caption = "Pre-Requisites Complete"
                    .Columns(5).Width = Unit.Percentage(5)
                    .Columns(5).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(5).EditorControlID = Me.cmbPreRequisites.ID
                    .Columns(5).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(5).FieldLen = 50

                    makeDD(7, Me.cmbHardwareOrdered, 70, 110)
                    .Columns(6).Header.Caption = "Hardware Ordered"
                    .Columns(6).Width = Unit.Percentage(5)
                    .Columns(6).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(6).EditorControlID = Me.cmbHardwareOrdered.ID
                    .Columns(6).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(6).FieldLen = 50

                    .Columns(7).Header.Caption = "Longest Leadtime"
                    .Columns(7).Width = Unit.Percentage(5)
                    .Columns(7).Format = "dd/MM/yyyy"
                    .Columns(7).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(7).EditorControlID = Me.datDate1.ID

                    makeDD(8, Me.cmbHardwareDelivered, 70, 110)
                    .Columns(8).Header.Caption = "Hardware Delivered"
                    .Columns(8).Width = Unit.Percentage(5)
                    .Columns(8).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(8).EditorControlID = Me.cmbHardwareDelivered.ID
                    .Columns(8).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(8).FieldLen = 50

                    .Columns(9).Hidden = False
                    .Columns(9).Header.Caption = "Installation Start Date"
                    .Columns(9).FieldLen = 20
                    .Columns(9).Width = Unit.Percentage(10)

                    makeDD(9, Me.cmbEngineer, 55, 224)
                    .Columns(10).Header.Caption = "Engineer 1"
                    .Columns(10).Width = Unit.Percentage(5)
                    .Columns(10).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(10).EditorControlID = Me.cmbEngineer.ID
                    .Columns(10).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(10).FieldLen = 50

                    makeDD(9, Me.cmbEngineer, 55, 224)
                    .Columns(11).Header.Caption = "Engineer 2"
                    .Columns(11).Width = Unit.Percentage(5)
                    .Columns(11).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(11).EditorControlID = Me.cmbEngineer.ID
                    .Columns(11).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(11).FieldLen = 50

                    makeDD(9, Me.cmbEngineer, 55, 224)
                    .Columns(12).Header.Caption = "Engineer 3"
                    .Columns(12).Width = Unit.Percentage(5)
                    .Columns(12).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(12).EditorControlID = Me.cmbEngineer.ID
                    .Columns(12).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(12).FieldLen = 50

                    makeDD(9, Me.cmbEngineer, 55, 224)
                    .Columns(13).Header.Caption = "Engineer 4"
                    .Columns(13).Width = Unit.Percentage(5)
                    .Columns(13).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(13).EditorControlID = Me.cmbEngineer.ID
                    .Columns(13).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(13).FieldLen = 50

                    .Columns(14).Hidden = False
                    .Columns(14).Header.Caption = "Installation End Date"
                    .Columns(14).Width = Unit.Percentage(5)
                    .Columns(14).FieldLen = 20

                    .Columns(15).Hidden = False
                    .Columns(15).Header.Caption = "VC Engineer On Site"
                    .Columns(15).Width = Unit.Percentage(5)
                    .Columns(15).FieldLen = 20

                    .Columns(16).Hidden = False
                    .Columns(16).Header.Caption = "Programmer On Site"
                    .Columns(16).Width = Unit.Percentage(5)
                    .Columns(16).FieldLen = 20

                    .Columns(17).Hidden = False
                    .Columns(17).Header.Caption = "Systems Engineer On Site"
                    .Columns(17).Width = Unit.Percentage(5)
                    .Columns(17).FieldLen = 20

                    makeDD(10, Me.cmbProjectDocs, 70, 110)
                    .Columns(18).Header.Caption = "Project Docs Complete"
                    .Columns(18).Width = Unit.Percentage(5)
                    .Columns(18).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(18).EditorControlID = Me.cmbProjectDocs.ID
                    .Columns(18).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(18).FieldLen = 50

                    .Columns(19).Header.Caption = "User Training Date"
                    .Columns(19).Width = Unit.Percentage(5)
                    .Columns(19).Format = "dd/MM/yyyy"
                    .Columns(19).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(19).EditorControlID = Me.datDate1.ID

                    .Columns(20).Header.Caption = "Handover Date"
                    .Columns(20).Width = Unit.Percentage(5)
                    .Columns(20).Format = "dd/MM/yyyy"
                    .Columns(20).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(20).EditorControlID = Me.datDate1.ID

                    .Columns(21).Hidden = True

                End With

            Case 2

                With e.Band

                    .DataKeyField = "notID"
                    .Key = "notID"

                    .Columns(0).Hidden = True

                    .Columns(1).Hidden = True

                    .Columns(2).Hidden = False
                    .Columns(2).Header.Caption = "Notes and Comments"
                    .Columns(2).Width = Unit.Percentage(100)
                    .Columns(2).FieldLen = 4000
                    .Columns(2).Type = Infragistics.WebUI.UltraWebGrid.ColumnType.Custom
                    .Columns(2).EditorControlID = Me.txtComments.ID
                    '.Columns(2).ValueList.DisplayStyle = Infragistics.WebUI.UltraWebGrid.ValueListDisplayStyle.DisplayText
                    .Columns(2).CellMultiline = CellMultiline.Yes

                    .Columns(3).Hidden = True

                    .Columns(4).Hidden = True

                End With

        End Select

    End Sub

    Protected Sub UltraWebGrid1_InitializeLayout(ByVal sender As Object, ByVal e As Infragistics.WebUI.UltraWebGrid.LayoutEventArgs) Handles UltraWebGrid1.InitializeLayout

        If Not Page.IsPostBack Then
            With Me.UltraWebGrid1
                .Width = Unit.Percentage(100)
                .Height = Unit.Percentage(100)
            End With
        End If

    End Sub

    ' Add New
    Protected Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click

        Me.Button2.Enabled = False

        Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
        Dim myconn As New SqlConnection(myconnstr)
        Dim mycmd As New SqlCommand("addNewGeneralRow", myconn)
        mycmd.CommandType = Data.CommandType.StoredProcedure
        mycmd.Parameters.AddWithValue("@username", Session("loggedIn"))
        myconn.Open()
        Dim myreader As SqlDataReader = mycmd.ExecuteReader()
        myreader.Read()
        myreader.Read()
        myreader.Close()
        myconn.Close()

        'Dim myc As New LiteralControl("<script language='javascript'>alert('Changes saved'); location.href='./frmStatus.aspx';</script>")
        Dim myc As New LiteralControl("<script language='javascript'>location.href='./frmStatus.aspx';</script>")
        Me.WebAsyncRefreshPanel1.Controls.Add(myc)

        Me.Button2.Enabled = True

    End Sub

    ' Save Changes
    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click

        Dim myc As New LiteralControl("<script language='javascript'>location.href='./frmStatus.aspx';</script>")
        Me.WebAsyncRefreshPanel1.Controls.Add(myc)

    End Sub

    Protected Sub UltraWebGrid1_UpdateRow(ByVal sender As Object, ByVal e As Infragistics.WebUI.UltraWebGrid.RowEventArgs) Handles UltraWebGrid1.UpdateRow

        Dim myDataKey As String = e.Row.Band.DataKeyField.ToString
        Select Case UCase(myDataKey)

            Case "GENID"
                Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
                Dim myconn As New SqlConnection(myconnstr)
                Dim mycmd As New SqlCommand("updateGeneralRowByID", myconn)
                mycmd.CommandType = Data.CommandType.StoredProcedure
                mycmd.Parameters.AddWithValue("@genID", e.Row.Cells(0).Value)
                mycmd.Parameters.AddWithValue("@genProjectStatusDD", e.Row.Cells(1).Value)
                mycmd.Parameters.AddWithValue("@genQuoteRef", e.Row.Cells(3).Value)
                mycmd.Parameters.AddWithValue("@genProjectName", e.Row.Cells(4).Value)
                mycmd.Parameters.AddWithValue("@genLastEdited", e.Row.Cells(5).Value)                        ' now()
                mycmd.Parameters.AddWithValue("@genLastEditedBy", Session("loggedIn")) ' e.Row.Cells(6).Value)                 ' get logged in session id here
                mycmd.Parameters.AddWithValue("@genResellerDirectSaleDD", e.Row.Cells(7).Value)
                mycmd.Parameters.AddWithValue("@genAccountManagerDD", e.Row.Cells(9).Value)
                mycmd.Parameters.AddWithValue("@genProjectManagerDD", e.Row.Cells(11).Value)
                mycmd.Parameters.AddWithValue("@genProposalDate", e.Row.Cells(13).Value)
                mycmd.Parameters.AddWithValue("@genClientContactNameNumber", e.Row.Cells(14).Value)
                mycmd.Parameters.AddWithValue("@genClientPOReceivedDD", e.Row.Cells(15).Value)
                myconn.Open()
                Dim myreader As SqlDataReader = mycmd.ExecuteReader()
                myreader.Read()
                myreader.Read()
                myreader.Close()
                myconn.Close()

            Case "DETID"
                Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
                Dim myconn As New SqlConnection(myconnstr)
                Dim mycmd As New SqlCommand("updateDetailRowByID", myconn)
                mycmd.CommandType = Data.CommandType.StoredProcedure
                mycmd.Parameters.AddWithValue("@detID", e.Row.Cells(0).Value)
                mycmd.Parameters.AddWithValue("@genID", e.Row.Cells(1).Value)
                mycmd.Parameters.AddWithValue("@detSiteSurveySignedOff", e.Row.Cells(2).Value)
                mycmd.Parameters.AddWithValue("@detSystemDesignSignedOff", e.Row.Cells(3).Value)
                mycmd.Parameters.AddWithValue("@detCrestronDesignSignedOff", e.Row.Cells(4).Value)
                mycmd.Parameters.AddWithValue("@detPreRequisitesCompleteDD", e.Row.Cells(5).Value)
                mycmd.Parameters.AddWithValue("@detHardwareOrderedDD", e.Row.Cells(6).Value)
                mycmd.Parameters.AddWithValue("@detLongestLeadtime", e.Row.Cells(7).Value)
                mycmd.Parameters.AddWithValue("@detHardwareDeliveredDD", e.Row.Cells(8).Value)
                mycmd.Parameters.AddWithValue("@detInstallationStartDateOpenText", e.Row.Cells(9).Value)
                mycmd.Parameters.AddWithValue("@detEngineer1", e.Row.Cells(10).Value)
                mycmd.Parameters.AddWithValue("@detEngineer2", e.Row.Cells(11).Value)
                mycmd.Parameters.AddWithValue("@detEngineer3", e.Row.Cells(12).Value)
                mycmd.Parameters.AddWithValue("@detEngineer4", e.Row.Cells(13).Value)
                mycmd.Parameters.AddWithValue("@detInstallationEndDateOpenText", e.Row.Cells(14).Value)
                mycmd.Parameters.AddWithValue("@detVCEngineerOnSite", e.Row.Cells(15).Value)
                mycmd.Parameters.AddWithValue("@detProgrammerOnSite", e.Row.Cells(16).Value)
                mycmd.Parameters.AddWithValue("@detSystemsEngineerOnSite", e.Row.Cells(17).Value)
                mycmd.Parameters.AddWithValue("@detProjectDocsCompleteDD", e.Row.Cells(18).Value)
                mycmd.Parameters.AddWithValue("@detUserTrainingDate", e.Row.Cells(19).Value)
                mycmd.Parameters.AddWithValue("@detProjectHandoverDate", e.Row.Cells(20).Value)
                myconn.Open()
                Dim myreader As SqlDataReader = mycmd.ExecuteReader()
                myreader.Read()
                myreader.Read()
                myreader.Close()
                myconn.Close()

            Case "NOTID"
                Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
                Dim myconn As New SqlConnection(myconnstr)
                Dim mycmd As New SqlCommand("updateNotesRowByID", myconn)
                mycmd.CommandType = Data.CommandType.StoredProcedure
                mycmd.Parameters.AddWithValue("@notID", e.Row.Cells(0).Value)
                mycmd.Parameters.AddWithValue("@detID", e.Row.Cells(1).Value)
                mycmd.Parameters.AddWithValue("@notText", e.Row.Cells(2).Value)
                mycmd.Parameters.AddWithValue("@genID", e.Row.Cells(3).Value)
                myconn.Open()
                Dim myreader As SqlDataReader = mycmd.ExecuteReader()
                myreader.Read()
                myreader.Read()
                myreader.Close()
                myconn.Close()

        End Select
    End Sub

    Protected Sub UltraWebGrid1_DeleteRow(ByVal sender As Object, ByVal e As Infragistics.WebUI.UltraWebGrid.RowEventArgs) Handles UltraWebGrid1.DeleteRow
        Dim myDataKey As String = e.Row.Band.DataKeyField.ToString
        Select UCase(myDataKey)

            Case "GENID"
                Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
                Dim myconn As New SqlConnection(myconnstr)
                Dim mycmd As New SqlCommand("deleteGeneralRowByID", myconn)
                mycmd.CommandType = Data.CommandType.StoredProcedure
                mycmd.Parameters.AddWithValue("@genID", e.Row.Cells(0).Value)
                myconn.Open()
                Dim myreader As SqlDataReader = mycmd.ExecuteReader()
                myreader.Read()
                myreader.Read()
                myreader.Close()
                myconn.Close()
            Case "DETID"
                Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
                Dim myconn As New SqlConnection(myconnstr)
                Dim mycmd As New SqlCommand("deleteGeneralRowByID", myconn)
                mycmd.CommandType = Data.CommandType.StoredProcedure
                mycmd.Parameters.AddWithValue("@genID", e.Row.Cells(1).Value)
                myconn.Open()
                Dim myreader As SqlDataReader = mycmd.ExecuteReader()
                myreader.Read()
                myreader.Read()
                myreader.Close()
                myconn.Close()
            Case "NOTID"
                Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
                Dim myconn As New SqlConnection(myconnstr)
                Dim mycmd As New SqlCommand("deleteGeneralRowByID", myconn)
                mycmd.CommandType = Data.CommandType.StoredProcedure
                mycmd.Parameters.AddWithValue("@genID", e.Row.Cells(3).Value)
                myconn.Open()
                Dim myreader As SqlDataReader = mycmd.ExecuteReader()
                myreader.Read()
                myreader.Read()
                myreader.Close()
                myconn.Close()

        End Select

    End Sub

    Protected Sub UltraWebGrid1_UpdateCell(ByVal sender As Object, ByVal e As Infragistics.WebUI.UltraWebGrid.CellEventArgs) Handles UltraWebGrid1.UpdateCell

        'Debug.Print(e.Cell.Key.ToString)
        'Debug.Print(e.Cell.Row.Cells(0).Value.ToString)

        Dim myKey As String = e.Cell.Key.ToString

        Select Case UCase(myKey)

            Case "GENPROJECTSTATUSDD", "GENQUOTEREF", "GENPROJECTNAME", "GENLASTEDITED", "GENLASTEDITEDBY", "GENRESELLERDIRECTSALEDD", "GENACCOUNTMANAGERDD", "GENPROJECTMANAGERDD", "GENPROPOSALDATE", "GENCLIENTCONTACTNAMENUMBER", "GENCLIENTPORECEIVEDDD"
                Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
                Dim myconn As New SqlConnection(myconnstr)
                Dim mycmd As New SqlCommand("updateGeneralRowByID", myconn)
                mycmd.CommandType = Data.CommandType.StoredProcedure
                mycmd.Parameters.AddWithValue("@genID", e.Cell.Row.Cells(0).Value)
                mycmd.Parameters.AddWithValue("@genProjectStatusDD", e.Cell.Row.Cells(1).Value)
                mycmd.Parameters.AddWithValue("@genQuoteRef", e.Cell.Row.Cells(3).Value)
                mycmd.Parameters.AddWithValue("@genProjectName", e.Cell.Row.Cells(4).Value)
                mycmd.Parameters.AddWithValue("@genLastEdited", e.Cell.Row.Cells(5).Value)                        ' now()
                mycmd.Parameters.AddWithValue("@genLastEditedBy", Session("loggedIn")) ' e.Row.Cells(6).Value)                 ' get logged in session id here
                mycmd.Parameters.AddWithValue("@genResellerDirectSaleDD", e.Cell.Row.Cells(7).Value)
                mycmd.Parameters.AddWithValue("@genAccountManagerDD", e.Cell.Row.Cells(9).Value)
                mycmd.Parameters.AddWithValue("@genProjectManagerDD", e.Cell.Row.Cells(11).Value)
                mycmd.Parameters.AddWithValue("@genProposalDate", e.Cell.Row.Cells(13).Value)
                mycmd.Parameters.AddWithValue("@genClientContactNameNumber", e.Cell.Row.Cells(14).Value)
                mycmd.Parameters.AddWithValue("@genClientPOReceivedDD", e.Cell.Row.Cells(15).Value)
                myconn.Open()
                Dim myreader As SqlDataReader = mycmd.ExecuteReader()
                myreader.Read()
                myreader.Read()
                myreader.Close()
                myconn.Close()

            Case "DETSITESURVEYSIGNEDOFF", "DETSYSTEMDESIGNSIGNEDOFF", "DETCRESTRONDESIGNSIGNEDOFF", "DETPREREQUISITESCOMPLETEDD", "DETHARDWAREORDEREDDD", "DETLONGESTLEADTIME", "DETHARDWAREDELIVEREDDD", "DETINSTALLATIONSTARTDATEOPENTEXT", "DETENGINEER1", "DETENGINEER2", "DETENGINEER3", "DETENGINEER4", "DETINSTALLATIONENDDATEOPENTEXT", "DETVCENGINEERONSITE", "DETPROGRAMMERONSITE", "DETSYSTEMSENGINEERONSITE", "DETPROJECTDOCSCOMPLETEDD", "DETUSERTRAININGDATE", "DETPROJECTHANDOVERDATE"

                Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
                Dim myconn As New SqlConnection(myconnstr)
                Dim mycmd As New SqlCommand("updateDetailRowByID", myconn)
                mycmd.CommandType = Data.CommandType.StoredProcedure
                mycmd.Parameters.AddWithValue("@detID", e.Cell.Row.Cells(0).Value)
                mycmd.Parameters.AddWithValue("@genID", e.Cell.Row.Cells(1).Value)
                mycmd.Parameters.AddWithValue("@detSiteSurveySignedOff", e.Cell.Row.Cells(2).Value)
                mycmd.Parameters.AddWithValue("@detSystemDesignSignedOff", e.Cell.Row.Cells(3).Value)
                mycmd.Parameters.AddWithValue("@detCrestronDesignSignedOff", e.Cell.Row.Cells(4).Value)
                mycmd.Parameters.AddWithValue("@detPreRequisitesCompleteDD", e.Cell.Row.Cells(5).Value)
                mycmd.Parameters.AddWithValue("@detHardwareOrderedDD", e.Cell.Row.Cells(6).Value)
                mycmd.Parameters.AddWithValue("@detLongestLeadtime", e.Cell.Row.Cells(7).Value)
                mycmd.Parameters.AddWithValue("@detHardwareDeliveredDD", e.Cell.Row.Cells(8).Value)
                mycmd.Parameters.AddWithValue("@detInstallationStartDateOpenText", e.Cell.Row.Cells(9).Value)
                mycmd.Parameters.AddWithValue("@detEngineer1", e.Cell.Row.Cells(10).Value)
                mycmd.Parameters.AddWithValue("@detEngineer2", e.Cell.Row.Cells(11).Value)
                mycmd.Parameters.AddWithValue("@detEngineer3", e.Cell.Row.Cells(12).Value)
                mycmd.Parameters.AddWithValue("@detEngineer4", e.Cell.Row.Cells(13).Value)
                mycmd.Parameters.AddWithValue("@detInstallationEndDateOpenText", e.Cell.Row.Cells(14).Value)
                mycmd.Parameters.AddWithValue("@detVCEngineerOnSite", e.Cell.Row.Cells(15).Value)
                mycmd.Parameters.AddWithValue("@detProgrammerOnSite", e.Cell.Row.Cells(16).Value)
                mycmd.Parameters.AddWithValue("@detSystemsEngineerOnSite", e.Cell.Row.Cells(17).Value)
                mycmd.Parameters.AddWithValue("@detProjectDocsCompleteDD", e.Cell.Row.Cells(18).Value)
                mycmd.Parameters.AddWithValue("@detUserTrainingDate", e.Cell.Row.Cells(19).Value)
                mycmd.Parameters.AddWithValue("@detProjectHandoverDate", e.Cell.Row.Cells(20).Value)
                myconn.Open()
                Dim myreader As SqlDataReader = mycmd.ExecuteReader()
                myreader.Read()
                myreader.Read()
                myreader.Close()
                myconn.Close()

            Case "NOTTEXT"
                Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
                Dim myconn As New SqlConnection(myconnstr)
                Dim mycmd As New SqlCommand("updateNotesRowByID", myconn)
                mycmd.CommandType = Data.CommandType.StoredProcedure
                mycmd.Parameters.AddWithValue("@notID", e.Cell.Row.Cells(0).Value)
                mycmd.Parameters.AddWithValue("@detID", e.Cell.Row.Cells(1).Value)
                mycmd.Parameters.AddWithValue("@notText", e.Cell.Row.Cells(2).Value)
                mycmd.Parameters.AddWithValue("@genID", e.Cell.Row.Cells(3).Value)
                myconn.Open()
                Dim myreader As SqlDataReader = mycmd.ExecuteReader()
                myreader.Read()
                myreader.Read()
                myreader.Close()
                myconn.Close()

        End Select

    End Sub

    Protected Sub btnPrint_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPrint.Click

        Dim myc As New LiteralControl("<script language='javascript'>window.print();</script>")
        Me.WebAsyncRefreshPanel1.Controls.Add(myc)

    End Sub
End Class











